EMF 1.0

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
EMF::PEN Class Reference

Graphics Pen. More...

`#include <libemf.h>`

Inheritance diagram for EMF::PEN:

## Public Member Functions
| PEN (const LOGPEN *lpen)
OBJECTTYPE | getType (void) const
METARECORD * | newEMR (HDC dc, HGDIOBJ emf_handle)
Public Member Functions inherited from EMF::GRAPHICSOBJECT
virtual | ~GRAPHICSOBJECT ()
| GRAPHICSOBJECTs has a virtual destructor.
Public Member Functions inherited from EMF::OBJECT
virtual | ~OBJECT ()
| OBJECTs have a virtual destructor.
| OBJECT (void)

## Additional Inherited Members
Public Attributes inherited from EMF::GRAPHICSOBJECT
std::map< HDC, HGDIOBJ > | contexts
Public Attributes inherited from EMF::OBJECT
HGDIOBJ | handle

## Detailed Description

Graphics Pen.

Pens are used for drawing lines, arc, rectangles, etc.

## Constructor & Destructor Documentation

EMF::PEN::PEN | ( | const LOGPEN * | lpen | ) |
| inline

Parameters

  lpen | the (logical?) pen definition.

## Member Function Documentation

OBJECTTYPE EMF::PEN::getType | ( | void |  | ) | const
| inline virtual

Return the type of this object (could probably do better with RTTI()).

Implements EMF::OBJECT.

METARECORD* EMF::PEN::newEMR | ( | HDC | dc,
|  | HGDIOBJ | emf_handle
| ) |  |
| inline virtual

Return a new metarecord for this object. And record its selection into the given device context.

Parameters

  dc | handle of device context into which this object is being selected.
  emf_handle | the EMF handle associated with the PEN.

Implements EMF::GRAPHICSOBJECT.

The documentation for this class was generated from the following file:

- libemf.h